<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddRecordingProfileReq StructType
 * @subpackage Structs
 */
class AddRecordingProfileReq extends APIRequest
{
    /**
     * The recordingProfile
     * @var XRecordingProfile
     */
    public $recordingProfile;
    /**
     * Constructor method for AddRecordingProfileReq
     * @uses AddRecordingProfileReq::setRecordingProfile()
     * @param XRecordingProfile $recordingProfile
     */
    public function __construct(XRecordingProfile $recordingProfile = null)
    {
        $this
            ->setRecordingProfile($recordingProfile);
    }
    /**
     * Get recordingProfile value
     * @return XRecordingProfile|null
     */
    public function getRecordingProfile()
    {
        return $this->recordingProfile;
    }
    /**
     * Set recordingProfile value
     * @param XRecordingProfile $recordingProfile
     * @return AddRecordingProfileReq
     */
    public function setRecordingProfile(XRecordingProfile $recordingProfile = null)
    {
        $this->recordingProfile = $recordingProfile;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddRecordingProfileReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
